"use strict";

var _interopRequireDefault = require("@babel/runtime-corejs2/helpers/interopRequireDefault");

exports.__esModule = true;
exports.default = redirect;

var _objectWithoutPropertiesLoose2 = _interopRequireDefault(require("@babel/runtime-corejs2/helpers/objectWithoutPropertiesLoose"));

var _url = require("url");

var _router = _interopRequireDefault(require("next/router"));

function redirect(ctx, url) {
  var parsedUrl;

  if (typeof url === 'string') {
    parsedUrl = (0, _url.parse)(url);
  } else {
    parsedUrl = url;
  }

  var {
    asPath: as
  } = parsedUrl,
      parsed = (0, _objectWithoutPropertiesLoose2.default)(parsedUrl, ["asPath"]);
  var formattedUrl = as || (0, _url.format)(parsed);

  if (typeof window === 'undefined') {
    if (ctx.res) {
      ctx.res.writeHead(302, {
        Location: formattedUrl
      });
      ctx.res.end();
    }
  } else {
    if (parsedUrl.host || parsedUrl.protocol) {
      window.location.replace(formattedUrl);
    } else {
      _router.default.replace(parsed, as);
    }
  }
}